Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event
Class WidgetEventMulticaster

    java.lang.Object
      java.awt.AWTEventMulticaster
          org.apache.cocoon.forms.event.WidgetEventMulticaster

All Implemented Interfaces:
  ActionListener, ActionListener, AdjustmentListener, ComponentListener, ContainerListener, EventListener, FocusListener, HierarchyBoundsListener, HierarchyListener, InputMethodListener, ItemListener, KeyListener, MouseListener, MouseMotionListener, MouseWheelListener, ProcessingPhaseListener, RepeaterListener, TextListener, ValueChangedListener, WidgetListener, WindowFocusListener, WindowListener, WindowStateListener

public class WidgetEventMulticaster
extends AWTEventMulticaster
implements ActionListener, ValueChangedListener, ProcessingPhaseListener, RepeaterListener

Convenience class to handle all widget event listeners. See `java.awt.AWTEventMulticaster` for more information on its use.

Version:
  $Id: WidgetEventMulticaster.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class java.awt.AWTEventMulticaster
`a, b`

Constructor Summary
`protected` | `WidgetEventMulticaster(EventListener a, EventListener b)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`static ActionListener` | `add(ActionListener a, ActionListener b)`
`static CreateListener` | `add(CreateListener a, CreateListener b)`
`static ProcessingPhaseListener` | `add(ProcessingPhaseListener a, ProcessingPhaseListener b)`
`static RepeaterListener` | `add(RepeaterListener a, RepeaterListener b)`
`static TreeSelectionListener` | `add(TreeSelectionListener a, TreeSelectionListener b)`
`static ValueChangedListener` | `add(ValueChangedListener a, ValueChangedListener b)`
`protected static EventListener` | `addInternal(EventListener a, EventListener b)` Can't use the superclass method since it creates an AWTEventMulticaster
`void` | `phaseEnded(ProcessingPhaseEvent e)`
`static ActionListener` | `remove(ActionListener l, ActionListener oldl)`
`static CreateListener` | `remove(CreateListener l, CreateListener oldl)`
`protected EventListener` | `remove(EventListener oldl)`
`static ProcessingPhaseListener` | `remove(ProcessingPhaseListener l, ProcessingPhaseListener oldl)`
`static RepeaterListener` | `remove(RepeaterListener l, RepeaterListener oldl)`
`static TreeSelectionListener` | `remove(TreeSelectionListener l, TreeSelectionListener oldl)`
`static ValueChangedListener` | `remove(ValueChangedListener l, ValueChangedListener oldl)`
`void` | `repeaterModified(RepeaterEvent e)`
`void` | `selectionChanged(TreeSelectionEvent e)`
`void` | `valueChanged(ValueChangedEvent e)`
`void` | `widgetCreated(CreateEvent e)`

Methods inherited from class java.awt.AWTEventMulticaster
`actionPerformed, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, adjustmentValueChanged, ancestorMoved, ancestorResized, caretPositionChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getListeners, hierarchyChanged, inputMethodTextChanged, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, remove, removeInternal, save, saveInternal, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetEventMulticaster

    protected WidgetEventMulticaster(EventListener a,
                                     EventListener b)

Method Detail

### add

    public static CreateListener add(CreateListener a,
                                     CreateListener b)

### remove

    public static CreateListener remove(CreateListener l,
                                        CreateListener oldl)

### widgetCreated

    public void widgetCreated(CreateEvent e)

### add

    public static ActionListener add(ActionListener a,
                                     ActionListener b)

### remove

    public static ActionListener remove(ActionListener l,
                                        ActionListener oldl)

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### add

    public static ValueChangedListener add(ValueChangedListener a,
                                           ValueChangedListener b)

### remove

    public static ValueChangedListener remove(ValueChangedListener l,
                                              ValueChangedListener oldl)

### valueChanged

    public void valueChanged(ValueChangedEvent e)

  Specified by:
    `valueChanged` in interface `ValueChangedListener`

### phaseEnded

    public void phaseEnded(ProcessingPhaseEvent e)

  Specified by:
    `phaseEnded` in interface `ProcessingPhaseListener`

### add

    public static ProcessingPhaseListener add(ProcessingPhaseListener a,
                                              ProcessingPhaseListener b)

### remove

    public static ProcessingPhaseListener remove(ProcessingPhaseListener l,
                                                 ProcessingPhaseListener oldl)

### add

    public static TreeSelectionListener add(TreeSelectionListener a,
                                            TreeSelectionListener b)

### remove

    public static TreeSelectionListener remove(TreeSelectionListener l,
                                               TreeSelectionListener oldl)

### selectionChanged

    public void selectionChanged(TreeSelectionEvent e)

### addInternal

    protected static EventListener addInternal(EventListener a,
                                               EventListener b)

  Can't use the superclass method since it creates an AWTEventMulticaster

### repeaterModified

    public void repeaterModified(RepeaterEvent e)

  Specified by:
    `repeaterModified` in interface `RepeaterListener`

### add

    public static RepeaterListener add(RepeaterListener a,
                                       RepeaterListener b)

### remove

    public static RepeaterListener remove(RepeaterListener l,
                                          RepeaterListener oldl)

### remove

    protected EventListener remove(EventListener oldl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.